Description

Support Anfrage:

Uns ist noch ein Bug in der doku aufgefallen:

In der Usage Info des adtf_plugin_description_generator fehlen die Gleichheitszeichen, bei den optionen. Sollte z.B.

-plugin=<plugin_path> heißen.

Laut Beschreibung müsste -plugin <plugin_path>, reichen, was nicht tut (siehe unten).

Muss verbessert werden, wenn nicht Ratefähigkeiten von den Verwendern verlangt wird. Allgemeiner Vorschlag, wäre, dass der

Entwicklungsprozess verbessert wird, so dass nicht hunderte von Fehlern in der Doku im Endprodukt aufschlagen.

D:\ADTF\3.3.1\bin\debug>.\adtf_plugin_description_generator.exe --help

usage:

adtf_plugin_description_generator.exe options

where options are:

- plugin <plugin_path> Path to the .adtfplugin

- merge <merge_path> Path to the .plugindescription

which will be merged

- output <output_path> Path to the resulting .

plugindescription file

- adtf-core-plugin <adtf-core-plugin_path> Path to adtf_core.adtfplugin

(EXPERIMENTAL)

- system <system_path> Path to a .adtfsystem file.

Providing additional platform

dependencies, services and

plugins (EXPERIMENTAL)

- settings <settings_path> (EXPERIMENTAL)

- plugindirectories <[dir_path;dir_path]> Comma-separated list of paths

containing additional .plugins

(EXPERIMENTAL)

- dynamiclinks <[dll_path;so_path]> Comma-separated list of shared

libraries to be loaded before

loading the plugin

-?, -h, --help display usage information

D:\ADTF\3.3.1\bin\debug>.\adtf_plugin_description_generator.exe -plugin test.adtfplugin

Error in command line: Unrecognised token: -p

D:\ADTF\3.3.1\bin\debug>.\adtf_plugin_description_generator.exe -plugin=test.adtfplugin

Lösung:

Problem kann nachvollzogen werden.

Produkticket ACORE-9645 wurde erstellt.
History

#1 - 2018-08-29 12:10 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::PluginDescription

- Resolution set to Product Issue Opened

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.3.1, ADTF 3.3.3 added

- Platform Windows 7 64bit added

Problem in ADTF 3.3.1 bis aktuell ADTF 3.3.3 vorhanden.

#2 - 2018-08-29 12:44 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9645

Hallo zusammen,

danke fürs Reporten des Verhalten.

Ich habe hierfür ein Produkt-Ticket (BUG) ACORE-9645 erstellt.

Entwickler ist informiert. Weitere Bearbeitung erfolgt über das Produkt-Ticket.

Können wir das Support Ticket damit schließen?

Gruß

Matthias

#4 - 2018-08-30 10:56 - hidden

- Subject changed from EBPRODUCTSUPPORT-1182 ADTF 3.3.1 Fehlerhafte Usage Info beim adtf_plugin_description_generator.exe to

EBPRODUCTSUPPORT-1182 ADTF 3.3.1 Incorrect usage info for adtf_plugin_description_generator.exe options

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Antwort von EB (siehe #3911):

Hi,

ja, kann zu ;)

#5 - 2018-08-30 12:22 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1182 ADTF 3.3.1 Incorrect usage info for adtf_plugin_description_generator.exe options to

EBPRODUCTSUPPORT-1182 Incorrect usage info for ADTF Plugin Description Generator

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
